<html>
<head>
<title>OGRE: Ogre::RenderTargetEvent Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1RenderTargetEvent.html">RenderTargetEvent</a></div>
<h1>Ogre::RenderTargetEvent Struct Reference</h1><!-- doxytag: class="Ogre::RenderTargetEvent" -->Struct containing information about a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> event.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1RenderTargetEvent-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTargetEvent.html#ceb69f7a9bbb3b126fea2bfded331a41">source</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source of the event being raised.  <a href="#ceb69f7a9bbb3b126fea2bfded331a41"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct containing information about a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> event. 
<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00039">39</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="ceb69f7a9bbb3b126fea2bfded331a41"></a><!-- doxytag: member="Ogre::RenderTargetEvent::source" ref="ceb69f7a9bbb3b126fea2bfded331a41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>* <a class="el" href="structOgre_1_1RenderTargetEvent.html#ceb69f7a9bbb3b126fea2bfded331a41">Ogre::RenderTargetEvent::source</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The source of the event being raised. 
<p>

<p>Definition at line <a class="el" href="OgreRenderTargetListener_8h-source.html#l00042">42</a> of file <a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderTargetListener_8h-source.html">OgreRenderTargetListener.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:18 2008
</p>
</body>
</html>
